Bug 228824 - Installer does not detect IDE drive on Promise RAID controller
Installer does not detect IDE drive on Promise RAID controller
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-15 07:37 EST by J Gallagher
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: f7test2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-05 15:29:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J Gallagher 2007-02-15 07:37:49 EST
Description of problem:
Installer does not detect IDE drive on Promise PDC20378 RAID controller (in IDE
mode) on ASUS A8V Deluxe m/board

Version-Release number of selected component (if applicable):
Fedora Core 7 Test 1

How reproducible:
Always


Steps to Reproduce:
1. Run the installation.
2.
3.
  
Actual results:


Expected results:


Additional info: FC6 install detects the disc fine (Similarly ok with Ubuntu
6.10, OpenSuse 10.2)
Comment 1 Jesse Keating 2007-02-15 08:03:31 EST
Not sure if this is anaconda ( not having the right drivers in ) or kernel just
not working.  Assigning to anaconda for now.
Comment 2 Jeremy Katz 2007-02-26 14:41:26 EST
Can you try again with test2 in a few days and see if it works better?
Comment 3 Bill Nottingham 2007-03-02 12:36:56 EST
Moving to 'devel' as discussed on
https://www.redhat.com/archives/fedora-devel-list/2007-March/msg00095.html.
Comment 4 J Gallagher 2007-03-03 09:34:20 EST
Ok, in FC7 test 2 the drive is now detected as sda. One strange thing though is
that the other two ide drives on the 'normal' ide interface (not the promise
controller) are labelled sdb and sdc, whereas previous Fedora installations
recognized them as hda and hdb.
Comment 5 Jeremy Katz 2007-03-05 15:29:18 EST
This is expected -- with Fedora 7, we're moving to the libata based drivers for
all IDE devices.  This means that all access will go through the SCSI layer.
Comment 6 J Gallagher 2007-03-09 20:22:45 EST
Wow, that's gonna cause a lot of confusion, isn't it?

Note You need to log in before you can comment on or make changes to this bug.